Bug 1750811 - Content View publish with dep solve and no filters adds recursive flag
Summary: Content View publish with dep solve and no filters adds recursive flag
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Content Views
Version: 6.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 6.7.0
Assignee: satellite6-bugs
QA Contact: Lai
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-10 14:02 UTC by Partha Aji
Modified: 2020-04-14 13:25 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:25:37 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 28039 Normal Closed Content View publish with dep solve and no filters adds recursive flag 2020-01-22 19:47:37 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:25:49 UTC

Description Partha Aji 2019-09-10 14:02:55 UTC
Description of problem:
During a content view publish, satellite directs pulp to copy contents between 2 repos. 
Now if the "solve dependencies" is set on the content view, satellite automatically sets "recursive_conservative: true" when that copy operation is executed. 
This recursive_conservative flag is set even if no filters were specified on the content view. Meaning it could potentially end up dep solving in all rpms in a repo instead of just a subset. This could unnecessarily slow down the publish times (since depsolve takes a much longer time).

Version-Release number of selected component (if applicable):
6.6 beta

How reproducible:


Steps to Reproduce:
1. Have a content view with solve dependencies set to true and no filters
2. Add a large repo to the cv (like rhel 8)
3. Publish 

Actual results:
Publish that takes much longer even though there are no filters.

Expected results:
Publish that takes about the same time as publish without dep solving

Comment 3 Ian Ballou 2019-10-10 21:21:24 UTC
Created redmine issue https://projects.theforeman.org/issues/28039 from this bug

Comment 4 Bryan Kearney 2019-10-21 14:03:43 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/28039 has been resolved.

Comment 5 Lai 2020-01-24 16:27:20 UTC
Steps to Test:
1. Have a content view with solve dependencies set to true and no filters
2. Add a large repo to the cv (like rhel 8)
3. Publish 

Actual results:
Publish takes about 4 to 5 minutes to complete.  

Expected results:
Publish takes about 4 to 5 minutes to complete. 

Note: I've tested using repos that had 10k to 70k packages.  10k took about 5 minutes to publish while anything beyond 20k took about 15 minutes with and without depsolving.  It does show even though depsolving is turned on without filters, it doesn't depsolve to keep the publish time consistent with turning depsolving off.  Both  true and false flag retains consistent publish time.

Tested on 6.7.0_09.   Marking issue as verified.

Comment 8 errata-xmlrpc 2020-04-14 13:25:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.